package oracle.forms.fd;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

class FormsMouseListener implements MouseListener{

      private HandleMouseEvent1_3 handler;

      public FormsMouseListener(HandleMouseEvent1_3 hme) {
         this.handler = hme;
      }

      public void mouseExited(MouseEvent me) {
         if (handler.bExit)
            handler.handleComponent(me.getComponent(), me, "mouseExited");
      }

      public void mouseEntered(MouseEvent me) {
         if (handler.bEnter)
            handler.handleComponent(me.getComponent(), me, "mouseEntered");
      }

      public void mousePressed(MouseEvent me) {
         if (handler.bPress)
            handler.handleComponent(me.getComponent(), me, "mousePressed");
      }

      public void mouseReleased(MouseEvent me) {
         if (handler.bRel)
            handler.handleComponent(me.getComponent(), me, "mouseReleased");
      }

      public void mouseClicked(MouseEvent me) {
         if (handler.bClick)
            handler.handleComponent(me.getComponent(), me, "mouseClicked");
      }
}
