package oracle.forms.fd;

import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;

class FormsMouseMotionListener implements MouseMotionListener {

   private HandleMouseEvent1_3 handler;

   public FormsMouseMotionListener(HandleMouseEvent1_3 hme) {
      this.handler = hme;
   }

   public void mouseMoved(MouseEvent me) {
      if (handler.bMove)
         handler.handleComponent(me.getComponent(), me, "mouseMoved");
   }

   public void mouseDragged(MouseEvent me) {
      // drag and drop is not supported in Forms9i and 10g.
   }
}
