package uk.co.aretesoftware.forms.beans;

import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;

class FormsMouseMotionListener implements MouseMotionListener {

   private HandleMouseEvent handler;

   public FormsMouseMotionListener(HandleMouseEvent hme) {
      this.handler = hme;
   }

   public void mouseMoved(MouseEvent me) {
      if (handler.bMove)
         handler.handleComponent(me.getComponent(), me, "mouseMoved");
   }

   public void mouseDragged(MouseEvent me) {
      // drag and drop is not supported in Forms9i and 10g.
   }
}
